Summary:	A network game browser
Name:		xqf
Version:	1.0.5
Release:	%mkrel 3
License:	GPLv2+
Group:          Games/Other
URL:		http://www.linuxgames.com/xqf
Source:         http://prdownloads.sourceforge.net/xqf/%{name}-%{version}.tar.bz2
Requires:	qstat >= 2.5c-4mdk
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	libbzip2-devel
BuildRequires:	libgeoip-devel
BuildRequires:	libgtk+2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
XQF is a network game browser (e.g. Quake, Sin, etc.). It helps you
locate and connect to game servers.  It has configurable server and
player filters so you can find a server running your favorite game type
or that has a buddy.

%prep
%setup -q

%build
sed -i 's/_32x32.png//g;' %{name}.desktop.in
%configure2_5x \
	--with-qstat=%{_bindir}/qstat-quake \
	--disable-gtk \
	--enable-gtk2 \
	--enable-bzip2 \
	--enable-geoip
	
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
desktop-file-install \
    --remove-category="Application" \
    --remove-category="X-SuSE-Core-Game" \
    --add-category="ArcadeGame" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{22x22,32x32,48x48}/apps/
mv -f %{buildroot}%{_datadir}/pixmaps/%{name}_22x22.png %{buildroot}%{_iconsdir}/hicolor/22x22/apps/%{name}.png
mv -f %{buildroot}%{_datadir}/pixmaps/%{name}_32x32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mv -f %{buildroot}%{_datadir}/pixmaps/%{name}_48x48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
rm -rf %{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%doc docs/*html docs/PreLaunch.example
%dir %{_datadir}/%{name}
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-3mdv2008.0
+ Revision: 85680
- update icons cache

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-2mdv2008.0
+ Revision: 85667
- new license policy
- compile with gtk+2.0 support
- use bzip2 compression
- compile with geoip support
- do not hardcode icon extension
- move icons to the fd.o compiliant directory
- spec file clean


* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.5-1mdv2007.0
+ Revision: 87889
- new version
  drop old debian menu
- Import xqf

* Sat Sep 09 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.4-4mdv2007.0
- Add missing Quote on menu file

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-3mdv2007.0
- buildrequires desktop-file-utils

* Wed Jul 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-2mdv2007.0
- xdg menu

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Thu Aug 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-3mdk
- don't own system dir

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.3-2mdk
- Fix BuildRequires

* Tue Apr 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-1mdk
- New release 1.0.3
- spec cleanup
- fix menu

* Wed Jul 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.14-1mdk 
- new version
- fixed menu entry
- rpmbuilupdate aware

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.13-3mdk
- qstat was renammed to qstat-quake

* Tue Dec 16 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-2mdk
- quiet setup & reupload

* Tue Dec 02 2003 Cameron Hart <cam@bitshifter.net.nz> 0.9.13-1mdk
- updated to latest release
- add Mandrake menu item

